//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package org.apache.commons.net.telnet;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.OutputStream;

final class TelnetOutputStream extends OutputStream {
    private final TelnetClient client;
    private final boolean convertCRtoCRLF = true;
    private static Logger LOG = LoggerFactory.getLogger(TelnetOutputStream.class);


    TelnetOutputStream(TelnetClient client) {
        LOG.info("TelnetOutputStream use modify class");
        this.client = client;
    }

    public void write(int ch) throws IOException {
        synchronized(this.client) {
            ch &= 255;
            if (this.client.requestedWont(0)) {


                switch(ch) {
                case 10:
                    this.client.sendByte(ch);
                    break;
                case 13:
                    this.client.sendByte(13);
//                    this.lastWasCR = true;
                    break;
                case 255:
                    this.client.sendByte(255);
                    this.client.sendByte(255);
                    break;
                default:
                    this.client.sendByte(ch);
                }
            } else if (ch == 255) {
                this.client.sendByte(ch);
                this.client.sendByte(255);
            } else {
                this.client.sendByte(ch);
            }

        }
    }

    public void write(byte[] buffer) throws IOException {
        this.write(buffer, 0, buffer.length);
    }

    public void write(byte[] buffer, int offset, int length) throws IOException {
        synchronized(this.client) {
            while(length-- > 0) {
                this.write(buffer[offset++]);
            }

        }
    }

    public void flush() throws IOException {
        this.client.flushOutputStream();
    }

    public void close() throws IOException {
        this.client.closeOutputStream();
    }
}
